QwtLegendLabel(3)

NAME
QwtLegendLabel -

SYNOPSIS

Inherits QwtLegendItem.

Detailed Description

A legend label. QwtLegendLabel represents a curve on a legend. It displays an curve identifier with an explaining text. The identifier might be a combination of curve symbol and line.

See also:
    QwtLegend, QwtCurve

Definition at line 128 of file qwt_legend.h.

  Public Member Functions
QwtLegendLabel (QWidget *parent=0, const char *name=0)
QwtLegendLabel (const QwtSymbol &, const QPen &, const QString &, QWidget *parent=0, const char *name=0)
virtual void setTitle (const QString &)
virtual QString title () const

  Protected Member Functions
virtual QwtText * titleText () const
virtual void drawContents (QPainter *)
virtual void updateItem ()

Constructor & Destructor Documentation

  QwtLegendLabel::QwtLegendLabel (QWidget * parent = 0, const char * name = 0)

Parameters:
    parent Parent widget
    name Widget name

Definition at line 305 of file qwt_legend.cpp.

  QwtLegendLabel::QwtLegendLabel (const QwtSymbol & symbol, const QPen & curvePen, const QString & text, QWidget * parent = 0, const char * name = 0)

Parameters:
    symbol Curve symbol
    curvePen Curve pen
    text Label text
    parent Parent widget
    name Widget name

Definition at line 318 of file qwt_legend.cpp.

Member Function Documentation

  void QwtLegendLabel::drawContents (QPainter * painter) [protected, virtual]

Parameters:
    painter Painter

Definition at line 368 of file qwt_legend.cpp.

References QwtLegendItem::drawIdentifier().

  void QwtLegendLabel::setTitle (const QString & title) [virtual]

Set the title of the label

Parameters:
    title New title

See also:
    QwtLegendLabel::title

Implements QwtLegendItem.

Definition at line 341 of file qwt_legend.cpp.

  QString QwtLegendLabel::title () const [virtual]

Returns:
    The label title

See also:
    QwtLegendLabel::setTitle.

Implements QwtLegendItem.

Definition at line 350 of file qwt_legend.cpp.

  QwtText * QwtLegendLabel::titleText () const [protected, virtual]

Returns:
    The item title

See also:
    QwtLegendLabel::setTitle.

Implements QwtLegendItem.

Definition at line 359 of file qwt_legend.cpp.

References QwtText::makeText().

  void QwtLegendLabel::updateItem () [protected, virtual]

Update the item.

Reimplemented from QwtLegendItem.

Definition at line 379 of file qwt_legend.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.